{% extends 'base.html.twig' %}
{% block header_title %}Groupe de prédication{% endblock %}
{% block header_subtitle %}Ajout d'un nouveau groupe{% endblock %}

{% block body %}
    <div class="col-xxl-10 col-sm-12 col-md-12">
        {% for message in app.flashes('success') %}
            <div class="alert alert-fill alert-icon alert-success alert-dismissible">
                <em class="icon ni ni-check-circle-fill"></em>
                {{ message }}
            </div>
        {% endfor %}
        <div class="card card-bordered card-full">
            <div class="card-inner">
                <div class="card-title-group">
                    <div class="card-title">
                        <h6 class="title"><span class="me-2">Groupe de prédication</span></h6>
                    </div>
                </div>
            </div>
            <div class="card-inner border-top">
                <form action="{{ path('app_fieldservice_servicegroup_create') }}" method="post">
                    <div class="row gy-4">
                        <div class="col-sm-6">
                            <div class="form-group">
                                {{ form_label(form.name) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.name) }}
                                    {{ form_errors(form.name) }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row mt-4">
                        <h6>Proclamateurs</h6>
                        {{ form_widget(form.publishers) }}
                    </div>
                    <div class="row mt-4">
                        <h6>Responsable(s)</h6>
                        <div class="col-lg-3">
                            {{ form_label(form.overseer) }}
                            {{ form_widget(form.overseer) }}
                        </div>
                        <div class="col-lg-3">
                            {{ form_label(form.assistant) }}
                            {{ form_widget(form.assistant) }}
                            {{ form_errors(form.assistant) }}
                        </div>

                    </div>
                    <div class="mt-4">
                        <button class="btn btn-success" type="submit"><em class="icon ni ni-save-fill me-1"></em> Enregistrer</button>
                    </div>
                    {{ form_widget(form._token) }}
                </form>
            </div>
        </div><!-- .card -->
    </div><!-- .col -->
{% endblock %}
{% block javascripts %}
    <script>
        const $buttonCreateNext = document.getElementById("createNext");
        const $form = document.getElementById("createUserForm");
        $buttonCreateNext.addEventListener('click', function () {
            $form.action = $form.action + '?createNext=true';
        })
    </script>
{% endblock %}
